* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Fira Sans", sans-serif;
  position: relative;
  scroll-behavior: smooth;
}

.error {
  color: red;
  font-size: 0.7em;
}

h1 {
  display: inline;
  position: relative;
  margin: 5%;
}

h1::after {
  content: "";
  position: absolute;
  background-color: #196ae5;
  width: 70%;
  height: 5px;
  bottom: 0;
  left: 0;
  right: 0;
  margin: -15px auto;
}

.header {
  color: white;
  background-image: url("images/bg.jpg"),
    linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
  background-blend-mode: overlay;
  background-size: cover;

  &__logo {
    padding: 2%;
    width: 25%;
  }

  &__inner {
    display: flex;
    flex-direction: row-reverse;
    padding: 0 6%;

    .header__span{
      display: inline;
    }

    .header__span1{
      margin-left: 10px;
      display: inline;
    }

    .header__span1::before {
      content:'';
      position: absolute;
      background-color:white;
      width: 3px;
      height: 90%;
      left:-7px;
      bottom: 2px;
    }

  }

  &__form {
    background-color: white;
    display: flex;
    flex-direction: column;
    padding: 2%;
    margin: 0 5% 5%;
    text-align: center;
    border-radius: 5px;
    width: 40%;

    input {
      margin: 5px 0;
      height: 35px;
      border-radius: 5px;
      border: 1px solid gray;
      padding-left: 5px;
    }

    input[type="checkbox"]{
      position:absolute;
      top:-9px;
      left:2px;
    }

    p {
      color: gray;
      margin: 5px 12px;
      font-size: 0.8em;
    }
    h3 {
      color: black;
      margin-bottom: 20px;
    }
    h3::after{
      content: "";
      position: absolute;
      background-color:black;
      width: 100px;
      height: 2px;
      bottom: 0;
      left: 0;
      right: 0;
      margin: -10px auto;
    }
    .form__checkbox {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  &__text {
    margin: 0 2%;
    padding: 5% 2%;

    h2 {
      font-size: 2rem;
    }

    h4 {
      margin: 4% 0;
      padding-left: 15px;
      line-height: 1.5;
      border-left: 2px solid white;
    }
  }

  &__btn {
    cursor: pointer;
    height: 50px;
    width: 150px;
    margin: 15px auto;
    color: white;
    background-color: #196ae5;
    border-style: none;
    border-radius: 5px;
    transition: all .3s;
  }
  &__btn:hover {
    background-color: blue;
  }
}

.video {
  color: #1b1c1d;
  text-align: center;
  margin: 5% 0 0;
  &__container iframe {
    margin: 5% 0;
    width:60%;
    height:415px;
  }
}

.cards {
  display: flex;
  justify-content: space-around;
  text-align: center;
  padding: 5%;

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  &__bg {
    border-radius: 50%;
    height: 150px;
    width: 150px;
    padding-top: 40px;
    margin: 15px;
  }
  &__bg.bg1 {
    background-color: #f7d354;
  }
  &__bg.bg2 {
    background-color: #42c5f1;
  }
  &__bg.bg3 {
    background-color: #3baa8e;
  }
}

.curriculum {
  color: #1b1c1d;
  background-color: #ecf4ff;
  text-align: center;
  padding: 5%;

  &__accordion{
    margin: 5% 0;

    .accordion__header {
      cursor: pointer;
      display:flex;
      align-items:center;
      padding: 2%;
    }
    
    .accordion__header:after {
      position:absolute;
      right:0;
      content: '\002b';
      transition: transform .35s ease-in-out;
      font-size: 30px;
    }
    
    
    .accordion__panel {
      background-color: white;
      margin: 0 1% ;
      border: 1px solid #ccc;
      padding: 0 40px;
    }
    
    .accordion__panel > .accordion__body {
      overflow: hidden;
      height: 0;
      transition: all 1s;
    }
    
    .accordion__panel.accordion__expanded > .accordion__body {
      height: 10vh;
    }
    
    .accordion__panel.accordion__expanded > 
    .accordion__header:after {
        content: '\002d';
    }
  }
}

.benefits {
  text-align: center;
  padding: 5% 0;
  &__content {
    margin: 5%;
    display: flex;
    flex-direction: row-reverse;
  }
  &__img {
    width: 70%;
  }
  h4 {
    margin: 8%;
  }
  ul {
    list-style: square inside url("images/black-tick.svg");
    list-style-position: outside;
    text-align: left;
  }
  li {
    margin: 5%;
  }
}

.testimonials {
  text-align: center;
  position: relative;

  .slider {
    margin: 10% auto;
    max-width: 75%;

    p {
      margin: 20px 0;
      text-align: left;
    }
    P::before,
    p::after {
      content: '"';
      font-size: 2em;
    }

    h3 {
      text-align: right;
    }

    &__slide {
      display: none;
    }

    &__slide.active {
      display: block;
      animation: slide-left 5s;
    }

    @keyframes slide-left {
      from {
        transform: translateX(40px);
      }

      to {
        transform: translateX(0);
      }
    }
  }

  .controls {
    color: #acacac;
    cursor: pointer;

    &__next,
    &__prev {
      position: absolute;
      font-size: 140px;
      margin-top: -22%;
    }

    
    &__prev {
      left: 4%;
    }
    &__next {
      right: 4%;
    }

    &__next:hover,
    &__prev:hover {
      transform: scale(1.1);
    }

  }

  .circle {
    margin: 0 auto;
    display: none;
    font-size: 100px;
    color: skyblue;

    div {
      cursor: pointer;
      margin: 5px;
    }

    div:hover,
    div.active {
      color: blueviolet;
    }
  }
}

.about {
  padding: 5%;
  color: #29292a;
  background-color: #f4f4f4;
  text-align: center;
  p{
    line-height: 2;
  }
}

.footer {
  display: none;
  position: sticky;
  bottom: 0;
  color: white;
  background-color: #260591;
  align-items: center;
  padding: 1%;
  a {
    text-decoration: none;
  }
  &__btn {
    padding: 15px;
    font-size: 1.5em;
    color: #260591;
    background-color: white;
    margin: 10px;
    border-radius: 5px;
    transition: all .3s;
  }
  &__btn:hover {
    background-color: burlywood;
  }
}
@media (max-width: 480px) {
  .header {
    &__logo {
      width: 50%;
    }
    &__form {
      align-self: center;
      padding: 5%;
      width: 100%;
      margin-top: 2%;
    }
    P{
      margin: 5px 13px;
    }
   
    &__text{
      margin-bottom: 5%;
      .header__span1::before{
        display: none;
      }
      .header__span1{
        display: block;
        margin: 0;
      }
    }
    &__inner {
      flex-direction: column;
    }
  }
  .video {
    &__container iframe {
      margin-top: 10%;
      width: 95%;
      height: 300px;
    }
  }

  .cards {
    display: none;
  }

  .curriculum {
    &__accordion{
      margin: 10% 0;

      .accordion__header{
        margin: 5% 0;
      }
    }
  }

  .benefits {
    padding: 5%;
    &__content {
      flex-direction: column;
    }
    &__img {
      width: 100%;
    }
  }

  .testimonials {
    .controls {
      display: none;
    }
    .circle {
      display: flex;
      justify-content: center;
    }
  }

  .footer {
    p {
      display: none;
    }
  }
}
